Module ij
Package ij

# Interface IJEventListener

All Known Implementing Classes:
  `EventListener`

public interface IJEventListener
Plugins that implement this interface are notified when the user changes the foreground color, changes the background color, closes the color picker, closes the Log window or switches to another tool.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BACKGROUND_COLOR_CHANGED`
`static final int`
`COLOR_PICKER_CLOSED`
`static final int`
`FOREGROUND_COLOR_CHANGED`
`static final int`
`LOG_WINDOW_CLOSED`
`static final int`
`TOOL_CHANGED`

## Method Summary

Modifier and Type
Method
Description
`void`
`eventOccurred(int eventID)`

## Field Details

### FOREGROUND_COLOR_CHANGED

static final int FOREGROUND_COLOR_CHANGED

See Also:
  - Constant Field Values

### BACKGROUND_COLOR_CHANGED

static final int BACKGROUND_COLOR_CHANGED

See Also:
  - Constant Field Values

### COLOR_PICKER_CLOSED

static final int COLOR_PICKER_CLOSED

See Also:
  - Constant Field Values

### LOG_WINDOW_CLOSED

static final int LOG_WINDOW_CLOSED

See Also:
  - Constant Field Values

### TOOL_CHANGED

static final int TOOL_CHANGED

See Also:
  - Constant Field Values

## Method Details

### eventOccurred

void eventOccurred(int eventID)